Subject: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Dec 2016 20:39:14 +0200

> Date: Tue, 20 Dec 2016 19:18:03 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
>  > So all this disaster happens because 96.281588447653434 compares not
>  > equal to 96, is that right?
> 
> Here ;-)
> 
> That's why I wanted Werner to counter-check.  And there was the original
> author of this issue - Rostislav Svoboda.  IIRC I tried to contact him
> once but he did not respond, anyway let's try again.

Thanks.

>  > Would the problem be solved, both for you
>  > and for Werner, if we compare these values after rounding them to the
>  > nearest integer?  It looks to me that xsettings.c reads the new value
>  > as an integer to begin with, so it makes no sense to compare
>  > fractional values.  And AFAIK about DPI (which is very little, and
>  > nothing about Gsettings and Xft), the DPI values are always integers.
> 
> Nothing guarantees that such a silly discrepancy does not show up
> somehwere else.

I'm not sure I understand what discrepancy you had in mind.  Can you
elaborate?

> But I certainly won't mind using this as workaround for Emacs 25.2.

If it works, sure.